%global _empty_manifest_terminate_build 0
Name:           python-aodhclient
Version:        2.2.0
Release:        2
Summary:        Python client library for Aodh
License:        Apache-2.0
URL:            https://docs.openstack.org/python-aodhclient/latest/
Source0:        https://files.pythonhosted.org/packages/93/65/8921604833ac7392c4721da1c6841d38ca92b375c23b3d1d3c4b936654bc/aodhclient-2.2.0.tar.gz
BuildArch:      noarch
%description
Python client library for Aodh.

%package -n python3-aodhclient
Summary:        Python client library for Aodh
Provides:       python-aodhclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-cliff
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-osprofiler
BuildRequires:  python3-pyparsing
BuildRequires:  python3-six
# Tests running requires
BuildRequires:  python3-coverage
BuildRequires:  python3-gnocchi
BuildRequires:  python3-oslotest
BuildRequires:  python3-pifpaf
BuildRequires:  python3-reno
BuildRequires:  python3-stestr
BuildRequires:  python3-tempest
BuildRequires:  python3-testtools
# General requires
Requires:       python3-cliff
Requires:       python3-keystoneauth1
Requires:       python3-osc-lib
Requires:       python3-oslo-i18n
Requires:       python3-oslo-serialization
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-osprofiler
Requires:       python3-pbr
Requires:       python3-pyparsing
Requires:       python3-six
# Tests running requires
Requires:       python3-coverage
Requires:       python3-gnocchi
Requires:       python3-oslotest
Requires:       python3-pifpaf
Requires:       python3-reno
Requires:       python3-stestr
Requires:       python3-tempest
Requires:       python3-testtools
%description -n python3-aodhclient
Python client library for Aodh.

%package help
Summary:        Python client library for Aodh
Provides:       python3-aodhclient-doc
%description help
Python client library for Aodh.

%prep
%autosetup -n aodhclient-2.2.0

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
pytest -k 'not functional'

%files -n python3-aodhclient -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 2.2.0-2
- Fix install error

* Mon Jul 19 2021 OpenStack_SIG <openstack@openeuler.org> - 2.2.0-1
- Package Spec generate
